# Create user

The method allows you to create a user. If a user with such an `email` is already registered, the method will return the corresponding error.

### Request:

| **Parameter** | **Required** | **Type** | **Description** |
| ------------- | ------------ | -------- | --------------- |
| email         | Yes          | String   | User's email    |

### Response:

| **Parameter** | **Type**       | **Description**                                     |
| ------------- | -------------- | --------------------------------------------------- |
| id            | String         | User ID                                             |
| email         | String         | User's email                                        |
| password      | String         | Generated password (shown only when created)        |
| lastLoginAt   | String or null | Date of the user's last login via the web interface |

{% openapi src="/files/sW3pCSavW8K5JCHRyMVw" path="/partner/api/create-user" method="post" %}
[openapi.json](https://199856430-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fy7yrGizyjjV5OmCw3DcE%2Fuploads%2Fgit-blob-c16b91898f63e16257eb0e0b6bb8d49e7f547d73%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onchainpay.io/api-reference/13partners/post_create-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
